Name: multitail
Version: 6.1
Release: 1
Summary: View one or multiple files like tail but with multiple windows
Group: Applications/Text
License: GPL
URL: http://www.vanheusden.com/multitail/
Source0: http://www.vanheusden.com/multitail/%{name}-%{version}.tgz
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: ncurses-devel >= 5.6
Requires: ncurses >= 5.6

%description
MultiTail lets you view one or multiple files like the original tail
program. The difference is that it creates multiple windows on your
console (with ncurses). It can also monitor wildcards: if another file
matching the wildcard has a more recent modification date, it will
automatically switch to that file. That way you can, for example,
monitor a complete directory of files. Merging of 2 or even more
logfiles is possible. 
It can also use colors while displaying the logfiles (through regular
expressions), for faster recognition of what is important and what not.
Multitail can also filter lines (again with regular expressions) and
has interactive menus for editing given regular expressions and
deleting and adding windows. One can also have windows with the output
of shell scripts and other software. When viewing the output of 
external software, MultiTail can mimic the functionality of tools like
'watch' and such.


%prep
%setup -q
%patch0


%build
export CC="cc -qcpluscmt"
make -f makefile.aix


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make -f makefile.aix install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc *.conf *.html Changes license.txt readme.txt
%config(noreplace) /etc/%{name}.conf
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Wed Feb 12 2014 Michael Perzl <michael@perzl.org> - 6.1-1
- updated to version 6.1

* Wed Nov 27 2013 Michael Perzl <michael@perzl.org> - 6.0-1
- updated to version 6.0

* Thu Jun 20 2013 Michael Perzl <michael@perzl.org> - 5.2.13-1
- updated to version 5.2.13

* Fri May 03 2013 Michael Perzl <michael@perzl.org> - 5.2.12-1
- updated to version 5.2.12

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 5.2.11-1
- updated to version 5.2.11

* Sat Nov 24 2012 Michael Perzl <michael@perzl.org> - 5.2.10-1
- updated to version 5.2.10
- had to copy error.c from version 5.2.9 as the new version is Linux specific

* Mon Jan 30 2012 Michael Perzl <michael@perzl.org> - 5.2.9-1
- updated to version 5.2.9

* Fri Nov 04 2011 Michael Perzl <michael@perzl.org> - 5.2.8-1
- updated to version 5.2.8

* Fri Feb 19 2010 Michael Perzl <michael@perzl.org> - 5.2.6-1
- first version for AIX V5.1 and higher
